# Models

## The LoginRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"LoginRequest":{"type":"object","required":["username","password"],"properties":{"username":{"type":"string","description":"Lineaje username"},"password":{"type":"string","format":"password","description":"Lineaje password"}}}}}}
```

## The LoginResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"LoginResponse":{"type":"object","required":["accessToken","tokenType","expiresIn","scope"],"properties":{"accessToken":{"type":"string","description":"Access token to be used in Authorization header"},"tokenType":{"type":"string"},"expiresIn":{"type":"integer","description":"Token expiration time in seconds"},"scope":{"type":"string"}}}}}}
```

## The Project object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"Project":{"type":"object","properties":{"projectId":{"type":"integer"},"sbomId":{"type":"string","description":"SBOM identifier for the project"},"jobStatus":{"type":"string"}}}}}}
```

## The ListProjectsResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"ListProjectsResponse":{"type":"object","properties":{"results":{"type":"object","properties":{"projects":{"type":"array","items":{"$ref":"#/components/schemas/Project"}}}},"total_count":{"type":"integer"}}},"Project":{"type":"object","properties":{"projectId":{"type":"integer"},"sbomId":{"type":"string","description":"SBOM identifier for the project"},"jobStatus":{"type":"string"}}}}}}
```

## The FixPlanRequest object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"FixPlanRequest":{"type":"object","required":["query","sbom_id"],"properties":{"query":{"type":"string"},"sbom_id":{"type":"string","description":"SBOM identifier captured from the projects API"}}}}}}
```

## The PlanDetail object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"PlanDetail":{"type":"object","properties":{"type":{"type":"string"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"efforts":{"type":"string"},"is_compatible":{"type":"boolean"}}}}}}
```

## The FixPlanMetaData object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"FixPlanMetaData":{"type":"object","properties":{"plan_details":{"type":"array","items":{"$ref":"#/components/schemas/PlanDetail"}},"overall_status":{"type":"string","description":"Poll until this becomes available"}}},"PlanDetail":{"type":"object","properties":{"type":{"type":"string"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"efforts":{"type":"string"},"is_compatible":{"type":"boolean"}}}}}}
```

## The FixPlanResponse object

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"components":{"schemas":{"FixPlanResponse":{"type":"object","properties":{"meta_data":{"$ref":"#/components/schemas/FixPlanMetaData"}}},"FixPlanMetaData":{"type":"object","properties":{"plan_details":{"type":"array","items":{"$ref":"#/components/schemas/PlanDetail"}},"overall_status":{"type":"string","description":"Poll until this becomes available"}}},"PlanDetail":{"type":"object","properties":{"type":{"type":"string"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"efforts":{"type":"string"},"is_compatible":{"type":"boolean"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veedna.com/gold-open-source-gos/gold-catalog/oss-packages/ai-remediate/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
